summaryrefslogtreecommitdiffstats
path: root/contrib/start-scripts/freebsd
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-05-04 12:17:33 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-05-04 12:17:33 +0000
commit5e45211a64149b3c659b90ff2de6fa982a5a93ed (patch)
tree739caf8c461053357daa9f162bef34516c7bf452 /contrib/start-scripts/freebsd
parentInitial commit. (diff)
downloadpostgresql-15-5e45211a64149b3c659b90ff2de6fa982a5a93ed.tar.xz
postgresql-15-5e45211a64149b3c659b90ff2de6fa982a5a93ed.zip
Adding upstream version 15.5.upstream/15.5
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'contrib/start-scripts/freebsd')
-rw-r--r--contrib/start-scripts/freebsd66
1 files changed, 66 insertions, 0 deletions
diff --git a/contrib/start-scripts/freebsd b/contrib/start-scripts/freebsd
new file mode 100644
index 0000000..3323237
--- /dev/null
+++ b/contrib/start-scripts/freebsd
@@ -0,0 +1,66 @@
+#! /bin/sh
+
+# PostgreSQL boot time startup script for FreeBSD. Copy this file to
+# /usr/local/etc/rc.d/postgresql.
+
+# Created through merger of the Linux start script by Ryan Kirkpatrick
+# and the script in the FreeBSD ports collection.
+
+# contrib/start-scripts/freebsd
+
+## EDIT FROM HERE
+
+# Installation prefix
+prefix=/usr/local/pgsql
+
+# Data directory
+PGDATA="/usr/local/pgsql/data"
+
+# Who to run the postmaster as, usually "postgres". (NOT "root")
+PGUSER=postgres
+
+# Where to keep a log file
+PGLOG="$PGDATA/serverlog"
+
+## STOP EDITING HERE
+
+# The path that is to be used for the script
+PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
+
+# What to use to start up the postmaster. (If you want the script to wait
+# until the server has started, you could use "pg_ctl start" here.)
+DAEMON="$prefix/bin/postmaster"
+
+# What to use to shut down the postmaster
+PGCTL="$prefix/bin/pg_ctl"
+
+# Only start if we can find the postmaster.
+test -x $DAEMON ||
+{
+ echo "$DAEMON not found"
+ exit 0
+}
+
+case $1 in
+ start)
+ su -l $PGUSER -c "$DAEMON -D '$PGDATA' >>$PGLOG 2>&1 &"
+ echo -n ' postgresql'
+ ;;
+ stop)
+ su -l $PGUSER -c "$PGCTL stop -D '$PGDATA' -s"
+ ;;
+ restart)
+ su -l $PGUSER -c "$PGCTL stop -D '$PGDATA' -s"
+ su -l $PGUSER -c "$DAEMON -D '$PGDATA' >>$PGLOG 2>&1 &"
+ ;;
+ status)
+ su -l $PGUSER -c "$PGCTL status -D '$PGDATA'"
+ ;;
+ *)
+ # Print help
+ echo "Usage: `basename $0` {start|stop|restart|status}" 1>&2
+ exit 1
+ ;;
+esac
+
+exit 0